<?php
if (!defined('ABSPATH')) {
    exit;
}

// Agregar la opción en el menú de administración
function pw_add_settings_page() {
    add_options_page(
        'Pedidos por WhatsApp',
        'Pedidos por WhatsApp',
        'manage_options',
        'pedidos-por-whatsapp',
        'pw_settings_page_html'
    );
}
add_action('admin_menu', 'pw_add_settings_page');

// Registrar todas las configuraciones necesarias
function pw_register_settings() {
    register_setting('pw_settings_group', 'pw_whatsapp_number'); // Número de WhatsApp
    register_setting('pw_settings_group', 'pw_message_start'); // Mensaje inicial
    register_setting('pw_settings_group', 'pw_message_end'); // Mensaje final
}
add_action('admin_init', 'pw_register_settings');

// Contenido de la página de configuración
function pw_settings_page_html() {
    ?>
    <div class="wrap">
        <h1>Configuración de Pedidos por WhatsApp</h1>
		
		<h2>Cómo funciona el plugin</h2>
<p>Este plugin permite enviar pedidos de WooCommerce a WhatsApp.</p>

<h3>Cómo usarlo</h3>
<p>Para que el botón funcione, agrégalo en cualquier parte de tu sitio con:</p>
<pre><code>&lt;button id="enviarpedidowsp"&gt;Enviar pedido por WhatsApp&lt;/button&gt;</code></pre>
<p>O también puedes agregarle el ID a un boton de tu tema*:</p>
<pre><code>id="enviarpedidowsp"</code></pre>
<p>*Puede que en algunos temas debas colocar comilla simple '</p>
<pre><code>id='enviarpedidowsp'</code></pre>

<h3>Shortcodes</h3>
<p>Estos shortcodes te permiten mostrar información útil en cualquier parte de tu sitio web de forma dinámica.</p>
<h4>1. Mostrar el total dividido en 3 cuotas</h4> 
<p>Para mostrar el monto del total dividido en 3 cuotas, usa el siguiente shortcode:</p>
<pre><code>[cuotadeltotal]</code></pre>
 <p> Este shortcode tomará el total del carrito y lo dividirá en 3 partes iguales. Puedes usarlo en cualquier parte del sitio donde quieras mostrar la cuota mensual.</p>
 <h4>2. Mostrar el total con 20% de descuento</h4>
 <p>Si deseas mostrar el total con un descuento del 20%, usa este shortcode:</p>
<pre><code>[descuentodeltotal]</code></pre>
<p>Este shortcode tomará el total actual del carrito y calculará el precio con un 20% de descuento aplicado.</p> 
<h3>Cómo usar los shortcodes</h3>
<p>Solo debes copiar y pegar el shortcode en cualquier parte de tu sitio, como en una página, entrada o incluso dentro de un widget de texto.</p>

        <form method="post" action="options.php">
            <?php
            settings_fields('pw_settings_group');
            do_settings_sections('pw_settings_group');
            ?>
            <table class="form-table">
<tr>
    <th scope="row">
        <label for="pw_whatsapp_number">Número de WhatsApp:</label>
    </th>
    <td>
        <input type="text" id="pw_whatsapp_number" name="pw_whatsapp_number" value="<?php echo esc_attr(get_option('pw_whatsapp_number', 'Numero con codigo pais, ej: 543425164100')); ?>">
    </td>
</tr>
<tr>
    <th scope="row">
        <label for="pw_message_start">Mensaje inicial:</label>
    </th>
    <td>
        <input type="text" id="pw_message_start" name="pw_message_start" value="<?php echo esc_attr(get_option('pw_message_start', 'Hola, quiero hacer la siguiente compra:')); ?>">
    </td>
</tr>
<tr>
    <th scope="row">
        <label for="pw_message_end">Mensaje final:</label>
    </th>
    <td>
        <input type="text" id="pw_message_end" name="pw_message_end" value="<?php echo esc_attr(get_option('pw_message_end', 'Gracias')); ?>">
    </td>
</tr>
            </table>
            <?php submit_button(); ?>
        </form>
    </div>
    <?php
}
