<?php
/**
 * Plugin Name: Pedidos por WhatsApp
 * Plugin URI:  https://fersosa.com/
 * Description: Genera un enlace de WhatsApp con los productos del carrito en WooCommerce.
 * Version:     1.2.1
 * Author:      Fer Sosa
 * Author URI:  https://fersosa.com/
 * License:     GPL2
 * Text Domain: pedidos-por-whatsapp
 */

if (!defined('ABSPATH')) {
    exit; // Salir si se accede directamente
}

// Incluir el archivo que genera el enlace
require_once plugin_dir_path(__FILE__) . 'includes/generate-whatsapp-link.php';

// Cargar scripts
function pw_enqueue_scripts() {
    wp_enqueue_script('pw-script', plugin_dir_url(__FILE__) . 'assets/script.js', ['jquery'], '1.0', true);
    wp_localize_script('pw-script', 'pw_ajax', ['ajax_url' => admin_url('admin-ajax.php')]);
}
add_action('wp_enqueue_scripts', 'pw_enqueue_scripts');

// Agregar acción AJAX para generar el enlace
add_action('wp_ajax_pw_generate_link', 'pw_generate_whatsapp_link');
add_action('wp_ajax_nopriv_pw_generate_link', 'pw_generate_whatsapp_link');

require_once plugin_dir_path(__FILE__) . 'includes/settings.php';
function pw_add_settings_link($links) {
    $settings_link = '<a href="options-general.php?page=pedidos-por-whatsapp">Configuraciones</a>';
    array_push($links, $settings_link);
    return $links;
}
add_filter("plugin_action_links_" . plugin_basename(__FILE__), "pw_add_settings_link");
add_action('admin_init', function() {
    register_setting('pw_settings_group', 'pw_message_start');
    register_setting('pw_settings_group', 'pw_message_end');
});

